Sales CRM
List opportunity follow-ups
Requires crm:sales:read.
GET
/
crm
/
sales
/
opportunities
/
{opportunityId}
/
follow-ups
List opportunity follow-ups
curl --request GET \
--url https://platform-api.visitoai.com/m2m/v1/crm/sales/opportunities/{opportunityId}/follow-ups \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-api.visitoai.com/m2m/v1/crm/sales/opportunities/{opportunityId}/follow-ups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-api.visitoai.com/m2m/v1/crm/sales/opportunities/{opportunityId}/follow-ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"followUps": [
{
"followUpId": "<string>",
"opportunityId": "<string>",
"leadId": "<string>",
"status": "<string>",
"mode": "<string>",
"messageDraft": "<string>",
"dueAt": "<string>"
}
],
"hasMore": true,
"nextCursor": "<string>"
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Opaque nextCursor from the preceding page.
⌘I
List opportunity follow-ups
